CREATE TABLE schema_migrations (
    version INTEGER NOT NULL
);


CREATE TABLE emoticons (
    _id                INTEGER PRIMARY KEY AUTOINCREMENT,
    id                 TEXT UNIQUE,
    type               TEXT NOT NULL,
    version            INTEGER,
    is_purchasable     INTEGER,
    order_index        INTEGER,
    server_order_index INTEGER,
    resource_count     INTEGER,
    title              TEXT,
    title_image_url    TEXT,
    editor_name        TEXT,
    on_image_url       TEXT,
    off_image_url      TEXT,
    v                  TEXT,
    expired_at         INTEGER,
    is_show            INTEGER,
    is_event_item      INTEGER
);

CREATE TABLE emoticon_logs(
    _id                INTEGER PRIMARY KEY AUTOINCREMENT,
    log                TEXT
)

--CREATE TABLE emoticon_resources (
--	_id                     INTEGER PRIMARY KEY AUTOINCREMENT,
--	emoticon_id             TEXT NOT NULL,
--	resource_id             INTEGER,
--	emot_image_url          TEXT,
--	thumbnail_image_url     TEXT,
--	sound_url               TEXT,
--	play_url                TEXT,
--	second_emot_image_url   TEXT,
--	v                       TEXT
--);

CREATE TABLE recently_emoticons (
    id              TEXT    PRIMARY KEY,        /*emoticon_id + resource_id*/
    emoticon_id     TEXT    DEFAULT 0,          /*emoticon_id*/
    last_used_at	INTEGER,
    count_used      INTEGER,
    v               TEXT
)

CREATE INDEX emoticon_resources_index1 on emoticon_resources(emoticon_id);
